unit ICGreyBoxWhats;

interface

	uses
		ICWindowGlobals;

	function WhatOpenGreyBox (wt: WindowType; item: integer): OSErr;

implementation

	uses
		ICDialogs;

	procedure DrawGreyBoxProc (window: DialogPtr; item: integer);
		var
			r : Rect;
			old_ps : PenState;
	begin
		GetPenState(old_ps);
		PenNormal;
		PenPat(qd.gray);
		GetDItemRect(window, item, r);
		FrameRect(r);
		SetPenState(old_ps);
	end; (* DrawGreyBoxProc *)

	function WhatOpenGreyBox (wt: WindowType; item: integer): OSErr;
	begin
		SetDItemHandle(windowinfo[wt].window, item, @DrawGreyBoxProc);
		WhatOpenGreyBox := noErr;
	end; (* WhatOpenGreyBox *)
	
end. (* ICGreyBoxWhats *)